Core - Bug # 14742

Status: Closed Priority: Should have
Author: Hans-Georg Althoff Category:
TYPO3 Version: 3.8.0rct

PHP Version:

Complexity:

Is Regression:
Subject: Install - Databanalyser - Compare

Description

After do the Compare function,
| will always get the following result:

1 Changing fields

ALTER TABLE be_users CHANGE lang lang char(2) NOT NULL default ";
Current value: varchar(2) NOT NULL default "

ALTER TABLE static_countries CHANGE cn_iso_2 cn_iso_2 char(2) NOT NULL default ";
Current value: varchar(2) NOT NULL default "

ALTER TABLE static_countries CHANGE cn_iso_3 cn_iso_3 char(3) NOT NULL default ";
Current value: varchar(3) NOT NULL default "

ALTER TABLE static_countries CHANGE cn_tldomain cn_tldomain char(2) NOT NULL default ";
Current value: varchar(2) NOT NULL default "

ALTER TABLE static_countries CHANGE cn_currency_iso_3 cn_currency_iso_3 char(3) NOT NULL default ";
Current value: varchar(3) NOT NULL default "

ALTER TABLE static_country_zones CHANGE zn_country_iso_2 zn_country_iso_2 char(2) NOT NULL default ";
Current value: varchar(2) NOT NULL default "

ALTER TABLE static_country_zones CHANGE zn_country_iso_3 zn_country_iso_3 char(3) NOT NULL default ";
Current value: varchar(3) NOT NULL default "

ALTER TABLE static_currencies CHANGE cu_iso_3 cu_iso_3 char(3) NOT NULL default ";
Current value: varchar(3) NOT NULL default "

ALTER TABLE static_languages CHANGE Ig_iso_2 Ig_iso_2 char(2) NOT NULL default ";
Current value: varchar(2) NOT NULL default "

ALTER TABLE static_languages CHANGE Ig_typo3 Ig_typo3 char(2) NOT NULL default ";
Current value: varchar(2) NOT NULL default "

After execute this DB-instruction, the result is always the same. It seem that this instructions will be not executed.

With other ones it was working fine.
(issue imported from #M1088)

Related issues:
related to Core - Bug # 16276: Database Analyser - Compare proposes "ALTER ..... Closed 2006-06-23

History

#1 - 2005-05-18 09:55 - Peter Russ

Mysql version?

#2 - 2005-05-18 11:37 - Hans-Georg Althoff

mySQL 4.1.10a

#3 - 2005-05-18 14:03 - Peter Niederlag

this has been a known bug for a long time with mysgl > 4.x, it actually should really be fixed now.

Are you really sure that u are using TYPO3 3.8rc1?

which OS are you using?

#4 - 2005-05-18 18:41 - Michael Stucki

This seems to be a totally different problem. Obviously the field type is tried to be change from varchar to char but | think char is not allowed by
TYPOS. So | think it could be a problem of this extension....

Can anybody please have a look at that?

#5 - 2005-05-18 20:10 - Hans-Georg Althoff

| have Win XP SP2 and PHP 5.0.4

#6 - 2005-05-18 22:24 - Peter Russ

This MIGHT be a MySq| problem.

But with the version mentioned THIS should BE NO PROBLEM.

Because Mysql changed the handling of varchar in Version 5.

But he has 4.1.10.

So | wonder WHY his Mysql delivers varchar and not char as by def of MySq|l varchar<4 letter will be converted to char.
But perhaps he has InnoDB installed?

#7 - 2005-05-18 23:56 - Michael Stucki

| have checked this. The field type "char" has always been allowed (at least in 3.7) and be_users.lang has always been a char field, so | really don't

know what's wrong here.

| close the bug marking it as not reproducable - feel free to reopen it if you find more information about it...
